# ContractRequestOpened

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestEventsService/ContractRequestOpened

Endpoint: POST /aurora.core.apiengine.contractrequestsv1.ContractRequestEventsService/ContractRequestOpened
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `contract_request` (object, required)
    Fields: request_id, side, counterparty_id, quantity, rounding_rule, display_id, status, comment, rate_details, collateral_rate, instrument, contract_id, contract_display_id, is_pre_established, settlement_type

  - `contract_request.collateral_rate` (string, required)
    Collateral rate of the contract

  - `contract_request.comment` (string)
    Comment given on Accept, Decline or Cancel that is echoed back

  - `contract_request.contract_display_id` (string)
    Human readable Id of contract resulting for this contract request action

  - `contract_request.contract_id` (string)
    Id of contract resulting for this contract request action

  - `contract_request.counterparty_id` (string, required)
    Counterparty ID

  - `contract_request.display_id` (string, required)
    Display id (persistent contract request id inside Aurora system)

  - `contract_request.instrument` (object, required)
    Instruments can be identified by their CUSIP or Ticker SymbolFields: cusip, ticker, name

  - `contract_request.instrument.cusip` (string, required)
    CUSIP

  - `contract_request.instrument.name` (string, required)
    Security name

  - `contract_request.instrument.ticker` (string, required)
    Ticker

  - `contract_request.is_pre_established` (boolean, required)
    Pre-established contract flag

  - `contract_request.quantity` (string, required)
    Quantity of shares

  - `contract_request.rate_details` (object, required)
    Fields: rate, benchmark

  - `contract_request.rate_details.benchmark` (string)
    possible rate benchmarks
    Enum: "OBFR", "EFFR", "SOFR", "BGCR", "TGCR", "IORB"

  - `contract_request.rate_details.rate` (string, required)

  - `contract_request.request_id` (string, required)
    User populated id of the request this response is for

  - `contract_request.rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `contract_request.settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `contract_request.side` (string, required)
    Enum: "BORROW", "LOAN"

  - `contract_request.status` (string, required)
    possible states in the lifecycle of a contract request
    Enum: "PENDING", "ACCEPTED", "REJECTED", "EXPIRED", "CANCELED", "AUTOMATCHED"

  - `request_id` (string, required)
    User populated id of the request this response is for


